// véletlen szám meghatározása, olyané, amilyen feladat még nem volt
function veletlenvalaszt() {
  var flag = false;
  var veletlen = 0; 
  // amíg nem olyan a véletlenszám, ami még nem volt kiválasztva addig 
  while (flag == false) {
    flag = true;
    veletlen = Math.floor(Math.random()*feladatok.length);
    //document.matek.seged.value = document.matek.seged.value+kiadott_feladatok.length+". vszam="+veletlen+" ";    
    for (s=0;((feladatok.length > kiadott_feladatok.length) && (s<kiadott_feladatok.length));s++) {
      if (kiadott_feladatok[s] == veletlen) { 
        flag = false;      
      }
    }        
  } 
  //document.matek.seged.value = document.matek.seged.value+" - ok\n";
  return veletlen;  
}

// Feladat kiválasztása
function feladatvalaszt() {
  var i = 0;
  // ide - ide kell majd visszaugrani
  var ide = window.location.pathname.substr(window.location.pathname.lastIndexOf('/')+1);
  ide = ide.substr(0,ide.indexOf('_'))+'_valaszt.html';
  // A kiválasztott feladat sorszámának meghatározása
  // megnézzük, hogy volt-e már minden feladat, ha nem, akkor i értéket kap    
  if (feladatok.length > kiadott_feladatok.length) i = veletlenvalaszt();
  else {
    if (!confirm("Megoldottad az összes feladatot, szeretnéd újra?")) {
      window.location.href = ide;
    }
    else window.location.reload();
  }
  // kiadott_feladatok_szama növeljük 
  kiadott_feladatok[kiadott_feladatok.length] = i;
      
  kivalasztott_feladat = feladatok[i];
  kivalasztott_befejezo = befejezo[i];
  kivalasztott_megoldas = megoldas[i];
  kivalasztott_magyarazat = magyarazat[i];
  // Képernyőre írjuka  kiválasztott feladat szöveget és szöveg befejező részt
  szovegkiir("feladat",kivalasztott_feladat);  
  szovegkiir("befejezo",kivalasztott_befejezo); 
  szovegkiir("megoldas",""); 
  szovegkiir("visszajelzes",""); 
  document.getElementById("ok").src="images/gomb_ok.gif";
  document.matek.ok.disabled=false;
  document.getElementById("ujra").src="images/gomb_ujra_szurke.gif";
  document.matek.ujra.disabled=true;     
  document.getElementById("megold").src="images/gomb_megold_szurke.gif";
  document.matek.megold.disabled=true;
  document.getElementById("uj").src="images/gomb_uj_szurke.gif";
  document.matek.uj.disabled=true;
  document.matek.eredmeny.disabled = false;
  document.matek.eredmeny.value="";
  document.matek.eredmeny.focus();
}

// Feladat ellenőrzése
function ellenoriz(urlap) {
  urlap.eredmeny.disabled = true;
  urlap.ok.disabled=true;
  document.getElementById("ok").src="images/gomb_ok_szurke.gif";
  if (urlap.eredmeny.value == kivalasztott_megoldas) { 
     szovegkiir("visszajelzes","Helyes");
     document.getElementById("uj").src="images/gomb_uj.gif";
     document.matek.uj.disabled=false;
  }
  else {
     szovegkiir("visszajelzes","Helytelen");
     document.getElementById("ujra").src="images/gomb_ujra.gif";
     urlap.ujra.disabled=false;     
     document.getElementById("megold").src="images/gomb_megold.gif";
     urlap.megold.disabled=false;
  }
}

// Adott feladatra újboli válasz megadása
function ujbol(urlap) {
  urlap.eredmeny.disabled = false;
  szovegkiir("visszajelzes","");
  urlap.eredmeny.value = '';
  document.getElementById("ujra").src="images/gomb_ujra_szurke.gif";
  urlap.ujra.disabled=true;     
  document.getElementById("megold").src="images/gomb_megold_szurke.gif";
  urlap.megold.disabled=true;
  document.getElementById("ok").src="images/gomb_ok.gif";
  urlap.ok.disabled=false;
  urlap.eredmeny.focus();
}

// Enter leütésének tiltása
function disableEnterKey(e) {
     var key;     
     if(window.event)
          key = window.event.keyCode; //IE
     else
          key = e.which; //firefox     
     return (key != 13);
}


// Adott feladat magyarázatának kiírása
function megoldaskiir(urlap) {
  szovegkiir("visszajelzes","");
  szovegkiir("megoldas",(kivalasztott_magyarazat == "")?kivalasztott_megoldas:kivalasztott_magyarazat);
  document.getElementById("ujra").src="images/gomb_ujra_szurke.gif";
  urlap.ujra.disabled=true;       
  document.getElementById("megold").src="images/gomb_megold_szurke.gif";
  urlap.megold.disabled=true;
  document.getElementById("uj").src="images/gomb_uj.gif";
  urlap.uj.disabled=false;
}

// Szöveg kiírása SPAN -ban megadott ID-jű területre
function szovegkiir(szovegazonosito, szoveg) {
  document.getElementById(szovegazonosito).innerHTML = szoveg; 
}


document.onkeydown = function(){
  if(window.event && window.event.keyCode == 116){
    window.event.keyCode = 505;
  }
  if(window.event && window.event.keyCode == 505){
    return false;
  }
}
